-- View: idm_rpt_cfg.idmrpt_events_rpt_corr_v

DROP VIEW idm_rpt_cfg.idmrpt_events_rpt_corr_v CASCADE;

CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_events_rpt_corr_v AS 
         SELECT events.evt AS event_name, events.rv43, events.init_usr_sys_id AS init_user_id, events.sun AS init_user_name, events.evt_time AS event_parse_time, events.msg AS base_message, events.rv45 AS target_user_domain, events.dun AS target_user_name, events.rv36 AS target_res_domain, events.fn AS target_res_name, events.trgt_trust_name AS target_trust_name, events.trgt_trust_domain AS target_trust_domain
           FROM events events
UNION ALL 
         SELECT hist_events.evt AS event_name, hist_events.rv43, hist_events.init_usr_sys_id AS init_user_id, hist_events.sun AS init_user_name, hist_events.evt_time AS event_parse_time, hist_events.msg AS base_message, hist_events.rv45 AS target_user_domain, hist_events.dun AS target_user_name, hist_events.rv36 AS target_res_domain, hist_events.fn AS target_res_name, hist_events.trgt_trust_name AS target_trust_name, hist_events.trgt_trust_domain AS target_trust_domain
           FROM hist_events hist_events;

ALTER TABLE idm_rpt_cfg.idmrpt_events_rpt_corr_v
  OWNER TO idmrptsrv;
GRANT ALL ON TABLE idm_rpt_cfg.idmrpt_events_rpt_corr_v TO idmrptsrv;
GRANT SELECT ON TABLE idm_rpt_cfg.idmrpt_events_rpt_corr_v TO idmrptuser;